package digital.laboratory.platform;

import digital.laboratory.platform.common.feign.annotation.EnableDLPFeignClients;
import digital.laboratory.platform.common.security.annotation.EnableDLPResourceServer;
import digital.laboratory.platform.common.swagger.annotation.EnableDLPSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

@EnableDLPSwagger2
@EnableDLPResourceServer
@EnableDLPFeignClients
@EnableDiscoveryClient
@SpringBootApplication
public class DLPAdminServiceApplication {

	public static void main(String[] args) {
		SpringApplication.run(DLPAdminServiceApplication.class, args);
	}

//	@Bean
//	RestTemplate restTemplate() {
//		return new RestTemplate();
//	}
//
}
