package digital.laboratory.platform.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.builders.WebSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;

//@EnableOAuth2Sso
@Configuration

public class WebSecurityConfigurer extends WebSecurityConfigurerAdapter {

	@Override
	public void configure(WebSecurity web) {
		web.ignoring().antMatchers("/", "/static/**", "/favicon.ico**", "/login", "/login-callback", "/admin/v2/**", "/sys/v2/**","/comm/dictionary/getVueStoreDictList");
	}

	@Override
	public void configure(HttpSecurity http) throws Exception {

		http.csrf().disable()
				.authorizeRequests()
//				.antMatchers("/", "/static/**", "/static/dist/**", "/hello**", "/favicon.ico**").permitAll()
				.anyRequest().permitAll();
	}
}
