package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sys.entity.Dictionary;
import digital.laboratory.platform.sys.vo.DictionaryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 字典表 Mapper 接口
 * </p>
 *
 * @author zhangxl
 * @since 2021-12-28
 */
@Mapper
public interface DictionaryMapper extends BaseMapper<Dictionary> {

	//List<Dictionary> listByType(String type);

	List<Dictionary> listTypes(String module);

	List<DictionaryVO> listDictionaryVO(@Param(Constants.WRAPPER) QueryWrapper<Dictionary> qw);
}
