package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sys.entity.Message;
import digital.laboratory.platform.sys.vo.MessageVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 消息 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-02-02
 * @describe 消息 Mapper 类
 */
@Mapper
public interface MessageMapper extends BaseMapper<Message> {
	IPage<MessageVO> getMessageVOPage(@Param("page") IPage<Message> page, @Param(Constants.WRAPPER) QueryWrapper<Message> qw);
	List<MessageVO> getMessageVOList(@Param(Constants.WRAPPER) QueryWrapper<Message> qw);

}
