package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sys.entity.PartialStaff;
import digital.laboratory.platform.sys.vo.Staff;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 鉴定中心员工, 这是用户名的扩充表 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2022-04-12
 * @describe 鉴定中心员工, 这是用户名的扩充表 Mapper 类
 */
@Mapper
public interface StaffMapper extends BaseMapper<PartialStaff> {
	IPage<Staff> getStaffVOPage(@Param("page") IPage<Staff> page, @Param(Constants.WRAPPER) QueryWrapper<Staff> qw);
	List<Staff> getStaffVOList(@Param(Constants.WRAPPER) QueryWrapper<Staff> qw);

}
