package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sys.entity.SysOrg;
import digital.laboratory.platform.sys.vo.OrgVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 机构管理 Mapper 接口
 * </p>
 *
 * @author lengleng
 * @since 2019/2/1
 */
@Mapper
public interface SysOrgMapper extends BaseMapper<SysOrg> {
	List<OrgVO> listOrgVO(@Param(Constants.WRAPPER) QueryWrapper<SysOrg> qw);
}
