package digital.laboratory.platform.sys.mapper;

import digital.laboratory.platform.sys.entity.SysPermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 权限权限表 Mapper 接口
 * </p>
 *
 */
@Mapper
public interface SysPermissionMapper extends BaseMapper<SysPermission> {

	/**
	 * 通过岗位 roleIds 查询权限
	 * @param roleIds 岗位ID
	 * @return
	 */
	Set<SysPermission> listPermissionsByRoleId(List<String> roleIds);

}
