package digital.laboratory.platform.sys.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.sys.entity.PartialStaff;
import digital.laboratory.platform.sys.vo.Staff;

import java.util.List;

/**
 * 鉴定中心员工, 这是用户名的扩充表服务类
 *
 * @author Zhang Xiaolong created at  2022-04-12
 * @describe 鉴定中心员工, 这是用户名的扩充表服务类
 */
public interface StaffService extends IService<PartialStaff> {
	IPage<Staff> getStaffVOPage(IPage<Staff> page, QueryWrapper<Staff> qw);
	List<Staff> getStaffVOList(QueryWrapper<Staff> qw);
}
