package digital.laboratory.platform.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.sys.entity.Business;
import digital.laboratory.platform.sys.mapper.BusinessMapper;
import digital.laboratory.platform.sys.service.BusinessService;
import org.springframework.stereotype.Service;

/**
 * 业务分类,目前只有:司法鉴定、污水检测任务、先进性检测任务。数据中的id不能变,代码中会直接使用服务实现类
 *
 * @author Zhang Xiaolong created at  2022-07-15
 * @describe 业务分类,目前只有:司法鉴定、污水检测任务、先进性检测任务。数据中的id不能变,代码中会直接使用 服务实现类
 */
@Service
public class BusinessServiceImpl extends ServiceImpl<BusinessMapper, Business> implements BusinessService {

}
