package digital.laboratory.platform.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.sys.entity.DrugRType;
import digital.laboratory.platform.sys.mapper.DrugRTypeMapper;
import digital.laboratory.platform.sys.service.DrugRTypeService;
import org.springframework.stereotype.Service;

/**
 * 毒品-类型关系映射表服务实现类
 *
 * @author Zhang Xiaolong created at  2022-06-23
 * @describe 毒品-类型关系映射表服务实现类
 */
@Service
public class DrugRTypeServiceImpl extends ServiceImpl<DrugRTypeMapper, DrugRType> implements DrugRTypeService {

}
