package digital.laboratory.platform.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.sys.entity.PersonalIdentityVerifier;
import digital.laboratory.platform.sys.mapper.PersonalIdentityVerifierMapper;
import digital.laboratory.platform.sys.service.PersonalIdentityVerifierService;
import org.springframework.stereotype.Service;

/**
 * 智能身份识别终端配置服务实现类
 *
 * @author Zhang Xiaolong created at  2023-02-21
 * @describe 智能身份识别终端配置 服务实现类
 */
@Service
public class PersonalIdentityVerifierServiceImpl extends ServiceImpl<PersonalIdentityVerifierMapper, PersonalIdentityVerifier> implements PersonalIdentityVerifierService {


}
