package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sys.entity.Area;
import digital.laboratory.platform.sys.vo.AreaVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 省/地/县 3级行政区划 Mapper 接口
 * </p>
 *
 * @author Zhang Xiaolong
 * @since 2022-03-10 09:45:58
 * @describe 省/地/县 3级行政区划mapper类
 */
@Mapper
public interface AreaMapper extends BaseMapper<Area> {
	List<AreaVO> listAreaVO(@Param(Constants.WRAPPER) QueryWrapper<Area> qw);
}
