package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.sys.entity.Business;
import org.apache.ibatis.annotations.Mapper;

/**
 * 业务分类,目前只有:司法鉴定、污水检测任务、先进性检测任务。数据中的id不能变,代码中会直接使用 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2022-07-15
 * @describe 业务分类,目前只有:司法鉴定、污水检测任务、先进性检测任务。数据中的id不能变,代码中会直接使用 Mapper 类
 */
@Mapper
public interface BusinessMapper extends BaseMapper<Business> {

}
