package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.sys.entity.SysMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 菜单权限表 Mapper 接口
 * </p>
 *
 * @author lengleng
 * @since 2019/2/1
 */
@Mapper
public interface SysMenuMapper extends BaseMapper<SysMenu> {

	/**
	 * 通过岗位编号查询菜单
	 * @param roleIds 岗位ID
	 * @return
	 */
	Set<SysMenu> listMenusByRoleId(List<String> roleIds);

	Set<SysMenu> listMenusByUserId(String userId);
}
