package digital.laboratory.platform.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sys.entity.SysRoleType;
import digital.laboratory.platform.sys.vo.SysRoleTypeVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysRoleTypeMapper  extends BaseMapper<SysRoleType> {

    SysRoleTypeVO getSysRoleType(String id);

    List<SysRoleTypeVO> getSysRoleTypeList(@Param(Constants.WRAPPER)QueryWrapper qw);


}
