package digital.laboratory.platform.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.sys.entity.Deliverer;

/**
 * 送检员服务类
 *
 * @author Zhang Xiaolong created at  2022-08-16
 * @describe 送检员 服务类
 */
public interface DelivererService extends IService<Deliverer> {

	/**
	 * 更新送检员
	 * 以送检员的名字为关键字, 如果同名送检员存在, 更新其他属性; 如果同名送检员不存在, 则新增数据库记录
	 * @param deliverer
	 */
	boolean renew(Deliverer deliverer);

	Deliverer getByName(String name, String ownerUserId);
}
