package digital.laboratory.platform.sys.service;

import digital.laboratory.platform.sys.entity.SysRolePermission;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 岗位权限表 服务类
 * </p>
 *
 * @author lengleng
 * @since 2019/2/1
 */
public interface SysRolePermissionService extends IService<SysRolePermission> {

	/**
	 * 更新岗位权限
	 * @param role
	 * @param roleId 岗位
	 * @param permissionIds 权限ID拼成的字符串, 每个id之间根据逗号分隔
	 * @return
	 */
	Boolean saveRolePermissions(String roleId, String permissionIds);

}
