package digital.laboratory.platform.sys.service;

import cn.hutool.core.lang.tree.Tree;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.sys.entity.SysRoleType;
import digital.laboratory.platform.sys.vo.SysRoleTypeVO;

import java.util.List;

public interface SysRoleTypeService extends IService<SysRoleType> {
    SysRoleType addRoleType(SysRoleType sysRoleType);

    SysRoleType editRoleType(SysRoleType sysRoleType);

    boolean delSysRoleType(String id);

    SysRoleTypeVO getSysRoleType(String id);

    List<SysRoleTypeVO> getSysRoleTypeList();

    List<Tree<String>> treeSysRoleType(String parentId);

    List<Tree<String>> getTreeParentSysRoleType();

    //返回某个类型和他的后代
    List<String> getTreeChild(String parentID);
    //新增岗位类别信息
}
