package digital.laboratory.platform.sys.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.sys.entity.PartialStaff;
import digital.laboratory.platform.sys.mapper.StaffMapper;
import digital.laboratory.platform.sys.service.StaffService;
import digital.laboratory.platform.sys.vo.Staff;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 鉴定中心员工, 这是用户名的扩充表服务实现类
 *
 * @author Zhang Xiaolong created at  2022-04-12
 * @describe 鉴定中心员工, 这是用户名的扩充表服务实现类
 */
@Service
public class StaffServiceImpl extends ServiceImpl<StaffMapper, PartialStaff> implements StaffService {
	@Override
	public IPage<Staff> getStaffVOPage(IPage<Staff> page, QueryWrapper<Staff> qw) {
		IPage<Staff> r =baseMapper.getStaffVOPage(page, qw);
		return r;
	}

	@Override
	public List<Staff> getStaffVOList(QueryWrapper<Staff> qw) {
		List<Staff> list = baseMapper.getStaffVOList(qw);
		return list;
	}
}
