package digital.laboratory.platform.sys.vo;

import digital.laboratory.platform.sys.entity.Drug;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "SuspiciousDrugVO", description = "疑似物种类毒品VO回显类")
public class SuspiciousDrugVO {

    @ApiModelProperty("毒品类型")
    private String drugType;

    @ApiModelProperty("毒品数据列表")
    private List<Drug> drugList;

    @ApiModelProperty("关键字搜索类型， name 中文名称 | englishName 英文名称 | casCode cas编号")
    private String keywordType = "name";

    @ApiModelProperty("关键字搜索的值")
    private String keyword;
}
